%def_disable shared
%def_enable static
%def_disable rpath
%def_disable debug

%define Name Kile
Name: kile
Version: 2.0.1
%define prerel rc1
Release: alt0.1
Summary: LaTeX source editor - TeX shell
Group: Publishing
Source: %name-%version%prerel.tar.bz2
License: %gpl2plus
URL: http://%name.sourceforge.net

# Automatically added by buildreq on Fri Feb 15 2008
#BuildRequires: doxygen gcc-c++ imake kdepim-devel libdnet-devel libjpeg-devel qt3-designer xml-utils xorg-cf-files

BuildRequires: doxygen gcc-c++ imake kdepim-devel libdnet-devel
BuildRequires: libjpeg-devel xml-utils xorg-cf-files
BuildRequires: rpm-build-licenses

%description
%Name is a program for KDE 3, that integrates many tools needed to
develop documents with LaTeX, in just one application.


%prep
%setup -n %name-%version%prerel


%build
%configure \
    %{subst_enable rpath} \
    %{subst_enable shared} \
    %{subst_enable static} \
%if_enabled debug
    --enable_debug=full
%else
    --disable-debug
%endif

%make_build

bzip2 --best --keep --force ChangeLog



%install
%make_install DESTDIR=%buildroot install

iconv -f cp1251 -t utf-8 >> %buildroot%_datadir/applications/kde/%name.desktop <<__MENU__
Comment[uk]=  (La)TeX
GenericName[uk]=  LaTeX
__MENU__

%find_lang --with-kde %name


%post
%update_menus


%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS ChangeLog.* README README.cwl TODO %name-remote-control.txt
%_bindir/*
%_iconsdir/hicolor/*/*/*.png
%_iconsdir/hicolor/scalable/apps/*
%_datadir/applications/kde/*
%_datadir/apps/%name
%_datadir/apps/kconf_update/*
%_datadir/config.kcfg/*
%_datadir/mimelnk/text/x-%{name}*


%changelog
* Mon Mar 31 2008 Led <led@altlinux.ru> 2.0.1-alt0.1
- 2.0.1rc1
- fixed License

* Fri Feb 15 2008 Led <led@altlinux.ru> 2.0-alt0.1
- 2.0

* Fri Feb 15 2008 Led <led@altlinux.ru> 1.9.3-alt0.1
- 1.9.3
- cleaned up spec

* Mon Sep 25 2006 Mikerin Sergey <mikcor@altlinux.ru> 1.9.2-alt1
- 1.9.2

* Tue Jul 04 2006 Mikerin Sergey <mikcor@altlinux.ru> 1.9.1-alt1
- 1.9.1

* Wed Mar 22 2006 Mikerin Sergey <mikcor@altlinux.ru> 1.9-alt1
- 1.9
- new buildrequires

* Tue May 03 2005 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.8-alt0.1.b2
- 1.8b2

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.7.1-alt1.1.1
- Rebuilt with libstdc++.so.6.

* Wed Nov 17 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.7.1-alt1.1
- remove conflict files

* Fri Oct 22 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.7.1-alt1
- 1.7.1

* Wed Jun 02 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.6.3-alt1
- 1.6.3

* Sun Jan 25 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.6-alt3
- fix builrequires

* Sun Dec 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.6-alt2
- rebuilding without *.la

* Thu Nov 13 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.6-alt1
- 1.6
- new buildrequires and rebuilding in hasher

* Fri Aug 22 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.5.2-alt1
- 1.5.2

* Wed May 21 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.5-alt1
- 1.5

* Wed Mar 12 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.4-alt1
- 1.4

* Mon Jan 20 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.32-alt1
- 1.32
- new buildrequires

* Sun Dec 22 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.31-alt1
- 1.31

* Mon Oct 14 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.3beta-alt1
- 1.3beta

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2-alt1
- new version
- built with gcc3.2

* Mon Jun 17 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt1
- 1.0

- specfile cleanup

